## LassoSaml2Advice LassoSaml2Advice — <saml2:Advice> |

## Functions

LassoNode * | lasso_saml2_advice_new ()

## Types and Values

struct | LassoSaml2Advice

## Description

Figure 45. Schema fragment for saml2:Advice

    <complexType name="AdviceType">
      <choice minOccurs="0" maxOccurs="unbounded">
        <element ref="saml:AssertionIDRef"/>
        <element ref="saml:AssertionURIRef"/>
        <element ref="saml:Assertion"/>
        <element ref="saml:EncryptedAssertion"/>
        <any namespace="##other" processContents="lax"/>
      </choice>
    </complexType>

## Functions

### lasso_saml2_advice_new ()

    LassoNode *
    lasso_saml2_advice_new (void);

Creates a new LassoSaml2Advice object.

#### Returns

a newly created LassoSaml2Advice object

## Types and Values

### struct LassoSaml2Advice

    struct LassoSaml2Advice {
    	LassoNode parent;

    	/* elements */
    	GList *AssertionIDRef; /* of LassoNode */
    	GList *AssertionURIRef; /* of LassoNode */
    	GList *Assertion; /* of LassoSaml2Assertion */
    	GList *EncryptedAssertion; /* of LassoSaml2EncryptedElement */
    };